<?php
	$device_type = cmsRequest::getDeviceType();
	$class_wrap = $widget['class_wrap'];
	$is_links_hide = (strpos($class_wrap, 'links_hide') !== false);
?>
<div class="widget<?php if ($widget['class_wrap']) { ?> <?php echo $widget['class_wrap'];  } ?>" id="widget_wrapper_<?php echo $widget['id']; ?>">

    <?php if ($widget['title'] && $is_titles){ ?>
		<div class="widget_title<?php if ($widget['class_title']) { ?> <?php echo $widget['class_title'];  } ?><?php if($is_links_hide) { ?> for_links_switch<?php } ?> <?php echo $device_type; ?>_title" id="widget_title<?php echo $widget['id']; ?>">
            <span><?php echo $widget['title']; ?></span>
            <?php if (!empty($widget['links'])) { ?>
			<?php $links = string_parse_list($widget['links']); ?>
				<?php if($is_links_hide){ ?>
					<div class="links_block" id="links_block_<?php echo $widget['id']; ?>">
						<div id="link_switch_<?php echo $widget['id']; ?>" class="links_switch"></div>
						<div id="links_<?php echo $widget['id']; ?>" class="widget_links">
							<?php foreach($links as $link){ ?>
								<a href="<?php html((strpos($link['value'], 'http') === 0) ? $link['value'] : href_to($link['value'])); ?>">
									<?php html($link['id']); ?>
								</a>
							<?php } ?>
						</div>
					</div>
				<?php } else { ?>
					<div class="links">
						<?php foreach($links as $link){ ?>
							<a href="<?php html((strpos($link['value'], 'http') === 0) ? $link['value'] : href_to($link['value'])); ?>">
								<?php html($link['id']); ?>
							</a>
						<?php } ?>
					</div>
				<?php } ?>
			<?php } ?>
        </div>
    <?php } ?>

	<div class="widget_body<?php if ($widget['class']) { ?> <?php echo $widget['class'];  } ?>">
        <?php echo $widget['body']; ?>
    </div>
	
	<?php if(cmsUser::isAdmin()){ ?>
        <?php include 'wrap_edit_links.tpl.php'; ?>
    <?php } ?>

</div>
<?php if($is_links_hide && $device_type != 'desktop' && !empty($widget['links'])) { ?>
	<script>
		$(function(){
			$("#link_switch_<?php echo $widget['id']; ?>").click(function(){
				$("#widget_title<?php echo $widget['id']; ?>").toggleClass("for_links_active");
			});
		});
		$(function(){
			$(document).click(function(event) {
				if ($(event.target).closest("#widget_title<?php echo $widget['id']; ?>.for_links_active .links_block").length) return;
				$("#widget_title<?php echo $widget['id']; ?>").removeClass("for_links_active");
				event.stopPropagation();
			});
		});
	</script>
<?php } ?>